Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Codeset_Item Class Reference

A single element in the list of Codeset Translator Factories. More...

`#include <Codeset_Manager.h>`

Collaboration diagram for TAO_Codeset_Item:

[legend]
List of all members.

## Public Methods
| TAO_Codeset_Item (const char *name)
| ~TAO_Codeset_Item (void)
const char * | codeset_name (void)
TAO_Codeset_Translator_Factory * | factory (void)
| return a pointer to the codeset factory.
void | factory (TAO_Codeset_Translator_Factory *factory)
| set the factory pointer's value.
## Private Methods
| TAO_Codeset_Item (const TAO_Codeset_Item &)
void | operator= (const TAO_Codeset_Item &)
## Private Attributes
char * | name_
| factory name.
TAO_Codeset_Translator_Factory * | factory_
| pointer to factory object.
## Friends
class | TAO_Codeset_Manager

## Detailed Description

A single element in the list of Codeset Translator Factories.

This class is used by the Codeset_Manager to store references to individual codeset factories. Only those translators that match the char or wchar native codeset will be kept in the list.

## Constructor & Destructor Documentation

TAO_Codeset_Item::TAO_Codeset_Item | ( | const char * | name | ) |

| creator method, the codeset name can only be set when the object is created.

TAO_Codeset_Item::~TAO_Codeset_Item | ( | void |  | ) |

| destructor that deallocates the factory object if the CodeSet_Item retains ownership.

TAO_Codeset_Item::TAO_Codeset_Item | ( | const TAO_Codeset_Item & |  | ) | `[private]`

## Member Function Documentation

const char * TAO_Codeset_Item::codeset_name | ( | void |  | ) |

| return a reference to the character representation of the codeset factories name.

void TAO_Codeset_Item::factory | ( | TAO_Codeset_Translator_Factory * | factory | ) |

| set the factory pointer's value.

TAO_Codeset_Translator_Factory * TAO_Codeset_Item::factory | ( | void |  | ) |

| return a pointer to the codeset factory.

void TAO_Codeset_Item::operator= | ( | const TAO_Codeset_Item & |  | ) | `[private]`

## Friends And Related Function Documentation

friend class TAO_Codeset_Manager`[friend]`

## Member Data Documentation

TAO_Codeset_Translator_Factory* TAO_Codeset_Item::factory_`[private]`

| pointer to factory object.

char* TAO_Codeset_Item::name_`[private]`

| factory name.

The documentation for this class was generated from the following files:

- Codeset_Manager.h
- Codeset_Manager.cpp